Subject: Re: bug#52973: Adding a few context-menu-mode commands

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 12 Jan 2022 07:16:20 +0100

Juri Linkov <[email-masked]> writes:

> None of the proposed functions is specific to a mode.
> When the global value of context-menu-functions
> contains one of the proposed functions, right-clicking anywhere
> will autoload every package where such context functions are defined.

Ah, I see.  I misunderstood how the context menu machinery works -- I
thought it contained mode-specific stuff, and in addition, things that
are relevant at the point.  That is, if you're over a text like
"foo(1)", then there'd be a predicate to say that this might be a
manual reference, and then you'd get the Man context menu.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no